Method: networks.adSpots.batchUpdate

API to batch update AdSpot objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/adSpots:batchUpdate

Path parameters

Parameters
parent

string

Required. The parent resource where AdSpots will be updated. Format: networks/{networkCode} The parent field in the UpdateAdSpotRequest must match this field.

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (UpdateAdSpotRequest)
    }
  ]
}
Fields
requests[]

object (UpdateAdSpotRequest)

Required. The AdSpot objects to update. A maximum of 100 objects can be updated in a batch.

Response body

Response object for adSpots.batchUpdate method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "adSpots": [
    {
      object (AdSpot)
    }
  ]
}
Fields
adSpots[]

object (AdSpot)

The AdSpot objects updated.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

UpdateAdSpotRequest

Request object for adSpots.patch method.

JSON representation
{
  "adSpot": {
    object (AdSpot)
  },
  "updateMask": string
}
Fields
adSpot

object (AdSpot)

Required. The AdSpot to update.

The AdSpot's name is used to identify the AdSpot to update.

updateMask

string (FieldMask format)

Optional. The list of fields to update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".